const express = require("express");
const cors = require("cors");
const app = express();
const { ImapSync } = require("./mails/imap/ImapSync");

app.use(express.json());
app.use(
    express.urlencoded({
        extended: true,
    }),
);
app.use(cors());
app.listen(process.env.PORT || 5500);

const mailRouter = require("./routes/mail");
app.use("/api/mail", mailRouter);

const imapSync = new ImapSync();
imapSync.init()